com.r3corda.protocols / RatesFixProtocol / QueryRequest

# QueryRequest

`data class QueryRequest : PartyRequestMessage`

### Constructors

<init> | `QueryRequest(queries: List<FixOf>, replyToParty: Party, sessionID: Long, deadline: Instant)`

### Properties

deadline | `val deadline: Instant`
queries | `val queries: List<FixOf>`
replyToParty | `val replyToParty: Party`
sessionID | `val sessionID: Long`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`